use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct PlayerInfoRegister {
    #[validate(required(message = "用户名称不能为空"), length(min = 1, message = "用户名称不能为空"))]
    pub username: Option<String>,
    #[validate(required(message = "电子邮箱不能为空"), length(min = 1, message = "电子邮箱不能为空"))]
    pub email: Option<String>,
    #[validate(required(message = "平台ID不能为空"), length(min = 1, message = "平台ID不能为空"))]
    pub platform_id: Option<String>,
    #[validate(required(message = "用户类型不能为空"), length(min = 1, message = "用户类型不能为空"))]
    pub user_type: Option<String>,
    #[validate(required(message = "用户所属区域不能为空"), length(min = 1, message = "用户所属区域不能为空"))]
    pub country_code: Option<String>,
    #[validate(required(message = "用户ID Token不能为空"), length(min = 1, message = "用户ID Token不能为空"))]
    pub id_token: Option<String>,
}
