use std::sync::OnceLock;
use moka::future::Cache;

#[macro_export]
macro_rules! auth_cache {
    () => {
        library::core::auth_cache::init_auth_cache()
    };
}

static AUTH_CACHE: OnceLock<Cache<String, String>> = OnceLock::new();

pub fn init_auth_cache() -> &'static Cache<String, String> {
    AUTH_CACHE.get_or_init(|| {
        Cache::new(1000)
    })
}
